import { ComponentPropsWithoutRef, Ref } from 'react';
interface AnchorProps extends ComponentPropsWithoutRef<'a'> {
    href: string;
}
interface ButtonProps extends ComponentPropsWithoutRef<'button'> {
    href?: undefined;
}
export type ItemProps = Omit<AnchorProps | ButtonProps, 'aria-label'> & {
    'aria-label': string;
    value: number;
    ref?: Ref<HTMLButtonElement>;
};
export declare const Item: {
    ({ children, value, className, href, ref, ...props }: ItemProps): import("react").JSX.Element;
    displayName: string;
};
export {};
